org.apache.ignite.internal.processors.cache.persistence.wal.filehandle

## Class AbstractFileHandle

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.filehandle.AbstractFileHandle

Direct Known Subclasses:
  FileWriteAheadLogManager.ReadFileHandle

    public abstract class AbstractFileHandle
    extends Object

### Field Summary

Fields
`protected SegmentIO` `fileIO` I/O interface for read/write operations with file.

### Constructor Summary

Constructors
Constructor and Description
`AbstractFileHandle(@NotNull SegmentIO fileIO)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSegmentId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fileIO

    protected SegmentIO fileIO

I/O interface for read/write operations with file.

### Constructor Detail

#### AbstractFileHandle

    public AbstractFileHandle(@NotNull
                              @NotNull SegmentIO fileIO)

Parameters:
  `fileIO` - I/O interface for read/write operations of AbstractFileHandle.

### Method Detail

#### getSegmentId

    public long getSegmentId()

Returns:
  Absolute WAL segment file index (incremental counter).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021